Create a Notification policy
POST/accounts/{account_id}/alerting/v3/policies
Creates a new Notification policy.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Create a Notification policy
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/alerting/v3/policies \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"alert_type": "universal_ssl_event_type",
"enabled": true,
"mechanisms": {},
"name": "SSL Notification Event Policy",
"alert_interval": "30m",
"description": "Something describing the policy.",
"filters": {
"slo": [
"99.9"
]
}
}'{
"errors": [
{
"message": "message",
"code": 1000
}
],
"messages": [
{
"message": "message",
"code": 1000
}
],
"success": true,
"result": {
"id": "f174e90afafe4643bbbc4a0ed4fc8415"
}
}Returns Examples
{
"errors": [
{
"message": "message",
"code": 1000
}
],
"messages": [
{
"message": "message",
"code": 1000
}
],
"success": true,
"result": {
"id": "f174e90afafe4643bbbc4a0ed4fc8415"
}
}